<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		<style>
			img { behavior:url('images/pngbehavior.htc'); }
		</style>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE WIDTH="100%" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" class="main-bg">
	<TR>
		<TD width="50" height="100%" style="background-image: url('images/left.gif'); background-position: bottom right; background-repeat: no-repeat;"><div style="width:50px; height:1px;"><spacer type="block" width="50" height="1"/></div></TD>
		<TD width="100%">
			<table cellpadding="0" cellspacing="0" width="100%" height="100%">
				<tr>
					<td height="50" style="background-image: url('images/menu_bg.gif'); background-repeat: repeat-x;">
					<!-- MENU -->
					<table cellpadding="0" cellspacing="0" align="center">
						<tr>
							<td width="10"></td>
							<xsl:call-template name="TOP-MENU"/>		
						</tr>
					</table>
					<!-- END MENU -->
					</td>
				</tr>
				<tr>
					<td height="305">
						<table cellpadding="0" cellspacing="0" height="100%" width="100%">
							<tr>
								<td height="11" width="11" style="background-image: url('images/undermenu_lbg.gif'); background-repeat: no-repeat;"><div style="width:11px; height:1px;"><spacer type="block" width="11" height="1"/></div></td>
								<td width="100%" style="background-image: url('images/undermenu_bg.gif'); background-repeat: repeat-x;"></td>
								<td width="11" style="background-image: url('images/undermenu_rbg.gif'); background-repeat: no-repeat;"><div style="width:11px; height:1px;"><spacer type="block" width="11" height="1"/></div></td>
							</tr>
							<tr>
								<td height="294" style="background-image: url('images/header_l.gif'); background-repeat: repeat-y;"></td>
								<td valign="top" style="background-image: url('images/header_bg.gif'); background-repeat: repeat-x;">
									<table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%" style="background-image: url('images/header.jpg'); background-repeat: no-repeat;">
										<tr>
											<td valign="bottom" style="padding: 5px 5px 0px 35px;">
												<!-- LOGO -->
												<font class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></font><br/>
												<font class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></font><br/>
												<a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a>
												<!-- END LOGO -->
												<table border="0" cellpadding="0" cellspacing="0" width="100%">
													<tr><td colspan="2" height="65"></td></tr>
													<tr>
														<td><img src="images/header.png" width="325" height="155" border="0"/></td>
														<td width="100%" align="right" valign="bottom" class="text-header" style="padding-right: 10px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/><div style="width:1px; height:10px;"><spacer type="block" width="1" height="10"/></div></td>
													</tr>
												</table>
											</td>
										</tr>
									</table>
								</td>
								<td height="100%" style="background-image: url('images/header_r.gif'); background-repeat: repeat-y;"></td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td height="100%">
						<table cellpadding="0" cellspacing="0" width="100%" height="100%">
							<tr>
								<td width="20" height="15" style="background-image: url('images/submenu_tl.gif'); background-repeat: no-repeat;"><div style="width:20px; height:1px;"><spacer type="block" width="20" height="1"/></div></td>
								<td width="228" style="background-image: url('images/submenu_t.gif'); background-repeat: repeat-x;"><div style="width:228px; height:1px;"><spacer type="block" width="228" height="1"/></div></td>
								<td width="15" style="background-image: url('images/submenu_tr.gif'); background-repeat: no-repeat;"><div style="width:15px; height:1px;"><spacer type="block" width="15" height="1"/></div></td>
								<td width="100%" style="background-image: url('images/submenu_t.gif'); background-repeat: repeat-x;"></td>
								<td width="20" height="15" style="background-image: url('images/content_tr.gif'); background-repeat: no-repeat;"><div style="width:20px; height:1px;"><spacer type="block" width="20" height="1"/></div></td>
							</tr>
							<tr>
								<td height="100%" style="background-image: url('images/submenu_l.gif'); background-repeat: repeat-y;"></td>
								<td style="background-color:  #333333; background-image:  url('images/submenu_bg.gif');" valign="top">
								<!-- SUBMENU -->
								<table cellpadding="0" cellspacing="0" width="209" align="center">
									<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
								</table>	
								<!-- END SUBMENU -->
								</td>
								<td style="background-image: url('images/submenu_r.gif'); background-repeat: repeat-y;"></td>
								<td valign="top" class="pageContent" style="background-color:  #333333; background-image:  url('images/bg.gif'); padding: 10px;">
								<!-- CONTENT -->
									<xsl:apply-templates select="PAGE-CONTENT"/>
								<!-- END CONTENT -->
								</td>
								<td style="background-image: url('images/content_r.gif'); background-repeat: repeat-y;"></td>
							</tr>
							<tr>
								<td height="21" style="background-image: url('images/submenu_bl.gif'); background-repeat: no-repeat;"></td>
								<td style="background-image: url('images/submenu_b.gif'); background-repeat: repeat-x;"></td>
								<td style="background-image: url('images/submenu_br.gif'); background-repeat: no-repeat;"></td>
								<td style="background-image: url('images/submenu_b.gif'); background-repeat: repeat-x;"></td>
								<td style="background-image: url('images/content_br.gif'); background-repeat: no-repeat;"></td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</TD>
		<TD width="50" style="background-image: url('images/right.gif'); background-repeat: bottom left; background-repeat: no-repeat;"><div style="width:50px; height:1px;"><spacer type="block" width="50" height="1"/></div></TD>
	</TR>
	<TR>
		<TD height="99" style="background-image: url('images/bottom_left.gif'); background-position: top right; background-repeat: no-repeat;"></TD>
		<TD style="background-image: url('images/footer_bg.gif'); background-repeat: repeat-x;">
			<table cellpadding="0" cellspacing="0" height="100%" width="100%" style="background-image: url('images/footer_lbg.gif'); background-repeat: no-repeat;">
				<tr>
					<td width="100%" class="footer" style="background-image: url('images/bottom.gif'); background-position: top right; background-repeat: no-repeat; padding: 5px 320px 5px 30px;">
					<!-- FOOTER -->
						<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
					<!-- END FOOTER -->
					</td>
				</tr>
			</table>
		</TD>
		<TD height="99" style="background-image: url('images/bottom_right.gif'); background-position: top left; background-repeat: no-repeat;"></TD>
	</TR>
</TABLE>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>					
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
				<tr>								
					<td height="27" class="asubmenu" style="background-image: url('images/submenu_itembg.gif'); background-position: center right; background-repeat: no-repeat;">
						<img src="images/submenu_bullet.gif" width="6" height="5" align="absmiddle" style="margin-right: 10px;"/><xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
					</td>
				</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>								
					<td height="27" style="background-image: url('images/submenu_itembg.gif'); background-position: center right; background-repeat: no-repeat;">
						<a href="{@HREF}" class="submenu"><img src="images/submenu_bullet.gif" width="6" height="5" align="absmiddle" border="0" style="margin-right: 10px;"/><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
					</td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td height="1" class="submenu-hr"></td></tr>
	</xsl:if>
</xsl:template>	
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
