<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table cellpadding="0" cellspacing="0" width="100%" height="100%"><tr><td valign="top" class="main-bg" style="background-image: url('images/main_bg.jpg'); padding-right: 24px;">
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" width="695" height="585" align="center">
	<TR><TD height="24"></TD></TR>
	<TR>
		<TD height="209" valign="top" style="background-image: url('images/header.jpg'); background-position: bottom right; background-repeat: no-repeat; padding-left: 60px;">
			<table cellpadding="0" cellspacing="0" width="100%" height="100%">
				<tr>
					<td valign="top">						
						<table cellpadding="0" cellspacing="0" height="75">
							<tr>
								<td width="9" height="9" style="background-image: url('images/logo_tl.gif'); background-repeat: no-repeat;"><div style="width:9px; height:1px;"><spacer type="block" width="9" height="1"/></div></td>
								<td width="100%" height="9" style="background-image: url('images/logo_t.gif'); background-repeat: repeat-x;"></td>
								<td width="9" height="9" style="background-image: url('images/logo_tr.gif'); background-repeat: no-repeat;"><div style="width:9px; height:1px;"><spacer type="block" width="9" height="1"/></div></td>
							</tr>
							<tr>
								<td style="background-image: url('images/logo_l.gif'); background-repeat: repeat-y;"></td>
								<td height="100%" class="logo-bg" style="padding: 10px;">
									<!-- LOGO -->
									<table cellpadding="0" cellspacing="0">
										<tr>
											<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
											<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
										</tr>
										<tr><td class="slogan" valign="top"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
									</table>
									<!-- END LOGO -->
								</td>
								<td style="background-image: url('images/logo_r.gif'); background-repeat: repeat-y;"></td>
							</tr>
							<tr>
								<td height="9" style="background-image: url('images/logo_bl.gif'); background-repeat: no-repeat;"></td>
								<td style="background-image: url('images/logo_b.gif'); background-repeat: repeat-x;"></td>
								<td style="background-image: url('images/logo_br.gif'); background-repeat: no-repeat;"></td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td valign="bottom" style="padding: 5px;">
					<!-- MENU -->
					<xsl:call-template name="TOP-MENU"/>
					<!-- END MENU -->					
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD valign="top">
			<table cellpadding="0" cellspacing="0" width="695" border="0" height="100%">
				<tr>
					<td height="32" width="25"><div style="width:25px; height:1px;"><spacer type="block" width="25" height="1"/></div></td>
					<td width="35" style="background-image: url('images/submenu_tl.jpg'); background-repeat: no-repeat;"><div style="width:35px; height:1px;"><spacer type="block" width="35" height="1"/></div></td>
					<td width="214" style="background-image: url('images/submenu_t.jpg'); background-repeat: repeat-x;"><div style="width:214px; height:1px;"><spacer type="block" width="214" height="1"/></div></td>
					<td width="27" style="background-image: url('images/submenu_tr.jpg'); background-repeat: no-repeat;"><div style="width:27px; height:1px;"><spacer type="block" width="27" height="1"/></div></td>
					<td width="368" style="background-image: url('images/submenu_t.jpg'); background-repeat: repeat-x;"><div style="width:359px; height:1px;"><spacer type="block" width="368" height="1"/></div></td>
					<td width="26" style="background-image: url('images/content_tr.jpg'); background-repeat: no-repeat;"><div style="width:26px; height:1px;"><spacer type="block" width="26" height="1"/></div></td>
				</tr>
				<tr>
					<td height="100%" colspan="3" valign="top">
						<table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
							<tr>
								<td width="25" height="100%"><div style="width:25px; height:1px;"><spacer type="block" width="25" height="1"/></div></td>
								<td height="100%" style="background-image: url('images/submenu_l.jpg'); background-repeat: repeat-y;"><div style="width:35px; height:1px;"><spacer type="block" width="35" height="1"/></div></td>
								<td height="100%" class="bg" valign="top">
									<div style="width:214px; height:1px;"><spacer type="block" width="214" height="1"/></div>									
									<!-- SUBMENU -->
									<table cellpadding="0" cellspacing="0" width="206" height="100%">
										<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
										<tr><td height="100%"></td></tr>
									</table>										
									<!-- END SUBMENU -->
								</td>
							</tr>							
							<tr>
								<td colspan="3" height="155"><img src="images/submenu_bbg.gif" border="0"/></td>
							</tr>
						</table>
					</td>
					<td style="background-image: url('images/submenu_r.jpg'); background-repeat: repeat-y;"></td>
					<td class="bg" valign="top">
						<table cellpadding="0" cellspacing="0" width="368">
							<tr><td height="10"></td></tr>
							<tr><td class="text-header" style="padding-left: 10px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td></tr>
							<tr><td height="10"></td></tr>
							<tr><td height="18" style="background-image: url('images/txtheader_b.gif'); background-repeat: repeat-x;"></td></tr>
							<tr>
								<td align="center">
									<table cellpadding="0" cellspacing="0" height="100%" width="348">
										<tr>
											<td valign="top" class="pageContent" width="348">
											<!-- CONTENT -->
												<xsl:apply-templates select="PAGE-CONTENT"/>
											<!-- END CONTENT -->
											</td>
										</tr>
									</table>
									
								</td>
							</tr>
							<tr><td height="20"></td></tr>
						</table>							
					</td>
					<td style="background-image: url('images/content_r.jpg'); background-repeat: repeat-y;"></td>
				</tr>
				<tr>
					<td colspan="6" height="77" align="right" valign="bottom" class="footer" style="background-image: url('images/footer_bg.gif'); background-repeat: no-repeat; padding: 10px;">
						<!-- FOOTER -->
							<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
						<!-- END FOOTER -->
					</td>
				</tr>
			</table>
		</TD>
	</TR>
</TABLE>
</td></tr></table>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>		
										
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
				<tr>
					<td height="24" class="asubmenu" style="background-image: url('images/submenu_itembg.gif'); background-position: center right; background-repeat: no-repeat;">
						<img src="images/submenu_bullet.gif" align="absmiddle" style="margin-right: 5px;"/><xsl:value-of select="@TITLE" disable-output-escaping="yes"/>												
					</td>
				</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>
					<td height="24" style="background-image: url('images/submenu_itembg.gif'); background-position: center right; background-repeat: no-repeat;">
						<a href="{@HREF}" class="submenu"><img src="images/submenu_bullet.gif" align="absmiddle" border="0" style="margin-right: 5px;"/><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>												
					</td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td height="1" class="submenu-hr"></td></tr>
	</xsl:if>
</xsl:template>	
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
