<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main-bg.jpg" class="main-bg"><tr><td>
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" width="770">
	<TR>
		<TD height="129">
			<table cellpadding="0" cellspacing="0" border="0" width="770" height="129">
				<tr>
					<td width="21"></td>
					<td width="130" style="background-image: url('images/flag.gif'); background-position: bottom; background-repeat: no-repeat;"></td>
					<td width="538">
						<table cellpadding="0" cellspacing="0" border="0" width="538" height="129">
							<tr>
								<td height="50">
									<!-- LOGO -->
									<table cellpadding="0" cellspacing="0" border="0">
										<tr>
											<td valign="bottom"><a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a></td>
											<td valign="bottom" width="5"></td>
											<td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
											<td valign="bottom" width="10"></td>
											<td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
										</tr>
									</table>
									<!-- /LOGO -->
								</td>
							</tr>
							<tr>
								<td height="65" style="background-image: url('images/menu_bg.gif'); background-repeat: no-repeat;">
									<!-- MENU -->
									<table cellpadding="0" cellspacing="0" align="center">
										<tr>					
											<xsl:call-template name="TOP-MENU"/>										
										</tr>
									</table>
									<!-- /MENU -->
								</td>
							</tr>
							<tr><td height="14"></td></tr>
						</table>
					</td>
					<td width="81"></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="230">
			<table cellpadding="0" cellspacing="0" border="0" width="770" height="230">
				<tr>
					<td width="21"></td>
					<td width="668" style="background-image: url('images/header_bg.gif'); background-repeat: no-repeat;">
						<table cellpadding="0" cellspacing="0" border="0" width="668" height="230">
							<tr>
								<td height="52">
								<!-- SUBMENU -->
									<table cellpadding="0" cellspacing="0" align="center">
										<tr>			
											<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
										</tr>
									</table>
								<!-- /SUBMENU -->
								</td>
							</tr>
							<tr><td height="178" style="background-image: url('images/header.jpg'); background-position: center; background-repeat: no-repeat;"></td></tr>
						</table>
					</td>
					<td width="81"></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="302">
			<table cellpadding="0" cellspacing="0" border="0" width="770" height="302">
				<tr>
					<td width="21"></td>
					<td width="749" valign="top">
						<table cellpadding="0" cellspacing="0" border="0" width="750" height="302" style="background-image: url('images/bg.gif'); background-repeat: repeat-y;">
							<tr>
								<td height="11" align="right"><nobr><img src="images/bg_tr.jpg" border="0"/><span style="width:80px; height:1px;"><spacer type="block" width="80" height="1"/></span></nobr></td>
							</tr>
							<tr>
								<td height="300" valign="top" style="background-image: url('images/bbg.gif'); background-position: bottom left; background-repeat: no-repeat; padding: 0 0 50px 50px;">
								<!-- CONTENT -->					
								<table cellpadding="0" cellspacing="0" border="0" width="420">
									<tr><td height=""></td></tr>	
									<tr><td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td></tr>
									<tr><td height="10"></td></tr>
									<tr>
										<td width="420" class="pageContent" name="SB_stretch" valign="top">
											<xsl:apply-templates select="PAGE-CONTENT"/>
										</td>
									</tr>
								</table>
								<!-- /CONTENT -->
								</td>
							</tr>
							<tr>
								<td align="center" height="54" class="footer" style="background-image: url('images/footer_bg.jpg'); background-repeat: no-repeat; padding-top: 8px;">
								<!-- FOOTER -->
								<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
								<!-- /FOOTER -->
								</td>
							</tr>
						</table>					
					</td>
				</tr>
			</table>
		</TD>
	</TR>
</TABLE>
</td></tr></table>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>										
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >																			
			<td><img src="images/submenu_bullet.gif" border="0"/></td>											
			<td width="5"></td>
			<td class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">			
			<td><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>											
			<td width="5"></td>
			<td><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<td width="11"></td>
		<td><div style="width:1px; height:10px; background-color: #453829;"><spacer type="block" width="1" height="10"/></div></td>
		<td width="11"></td>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
			<td class="bottommenuitemactive"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
			<td class="bottommenuitemactive"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
 			<td class="bottommenuitem"><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
  			<td class="bottommenudivider"></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
