<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
			<style>
				img { behavior:url('images/pngbehavior.htc'); }
			</style>
	</head>
	<body marginheight="0" marginwidth="0" topmargin="0" rightmargin="0" bottommargin="0" leftmargin="0">	
<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
<tr><td height="20" style="background-image: url('images/tbg.gif'); background-repeat: repeat-x;"></td></tr>
<tr><td bgcolor="#E7E7E7" background="images/main_bg.jpg" style="padding: 0 150px 0 150px;">
<table width="100%" height="100%" cellpadding="0" cellspacing="0" border="0">
	<tr>
		<td height="80" style="padding: 0 5px 0 5px;">
		<!-- LOGO -->
			<table cellpadding="0" cellspacing="0">
				<tr>
					<td rowspan="2"><a href="./"><img src="images/{LOGO/@NAME}" border="0" style="margin-right: 5px;"/></a></td>
					<td class="company" valign="bottom"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
				</tr>
				<tr>
					<td class="slogan" valign="top">
						<xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>						
						<table cellpadding="0" cellspacing="0" border="0">
							<tr>
								<td class="menu-bg">x01 x02 x03 x04</td>
							</tr>
							<tr><td class="menu-bg2">sed ut perspiciatis unde sed ut perspiciatis unde<br/>sed ut perspiciatis unde</td></tr>
						</table>
					</td>
				</tr>
			</table>
		<!-- END LOGO -->
		</td>
	</tr>
	<tr>
		<td height="50" valign="top" style="padding: 0 5px 5 5px;">
		<!-- MENU -->
			<table cellpadding="0" cellspacing="0">
				<tr>
					<xsl:call-template name="TOP-MENU"/>
				</tr>
			</table>
		<!-- END MENU -->
		</td>
	</tr>
	<tr>
		<td height="100%">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
				<tr>
					<td width="100%" bgcolor="#FFFFFF" background="images/bg.jpg">
						<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
							<tr>
								<td height="57" style="background-image: url('images/bg_t.gif'); background-repeat: repeat-x;">
									<table cellpadding="0" cellspacing="0" border="0" width="100%" height="57" style="background-image: url('images/bg_tr.gif'); background-position: right; background-repeat: no-repeat;">
										<tr><td style="background-image: url('images/bg_tl.gif'); background-position: top left; background-repeat: no-repeat;"></td></tr>
									</table>
								</td>
							</tr>
							<tr>
								<td height="100%">
									<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%">
										<tr>
											<td style="background-image: url('images/bg_l.gif'); background-repeat: repeat-y;"><div style="width:8px; height:1px;"><spacer type="block" width="8" height="1"/></div></td>
											<td width="15"><div style="width:15px; height:1px;"><spacer type="block" width="15" height="1"/></div></td>
											<td class="pageContent" valign="top" width="100%">
												<div style="width:1px; height:15px;"><spacer type="block" width="1" height="15"/></div>
												<!-- CONTENT -->
												<div class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
												<div style="width:1px; height:15px;"><spacer type="block" width="1" height="15"/></div>
												<xsl:apply-templates select="PAGE-CONTENT"/>
												<div style="width:1px; height:15px;"><spacer type="block" width="1" height="15"/></div>
												<!-- END CONTENT -->											
											</td>
											<td valign="bottom" align="right" style="background-image: url('images/bg_r.gif'); background-position: right; background-repeat: repeat-y;"><img src="images/visual_tl.png" width="98" height="147" border="0" alt=""/></td>
										</tr>
									</table>
								</td>
							</tr>
							<tr>
								<td height="57" style="background-image: url('images/bg_b.gif'); background-repeat: repeat-x;">
									<table cellpadding="0" cellspacing="0" border="0" width="100%" height="57" style="background-image: url('images/bg_bl.gif'); background-repeat: no-repeat;">
										<tr><td align="right" valign="top"><img src="images/visual_l.png" width="99" height="57" border="0" alt=""/></td></tr>
									</table>
								</td>
							</tr>							
						</table>
					</td>
					<td>
						<table cellpadding="0" cellspacing="0" border="0" width="155" height="100%">
							<tr>
								<td height="100%">								
									<!-- SUBMENU -->
										<table cellpadding="0" cellspacing="0" width="130" align="center">
											<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
										</table>	
									<!-- END SUBMENU -->
								</td>
							</tr>
							<tr>
								<td height="146" valign="bottom">
									<img src="images/visual_tr.png" width="155" height="146" border="0" alt=""/></td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td height="70">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="70">
				<tr>
					<td width="100%" align="center" class="footer" style="padding: 5px;">
						<!-- FOOTER -->
						<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
						<!-- END FOOTER -->
					
					</td>
					<td align="right" valign="top"><img src="images/visual_b.png" width="223" height="68" border="0" alt=""/></td>
				</tr>
			</table>
		</td>
	</tr>
</table>
</td></tr>
<tr><td height="20" style="background-image: url('images/bbg.gif'); background-repeat: repeat-x;"></td></tr></table>
	</body>

	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>		
					
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>								
				<td style="padding-left: 22px"><img src="images/submenu_bullet.gif" border="0"/></td>
				<td style="padding-left: 5px" height="24" width="100%" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>								
					<td style="padding-left: 22px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
					<td style="padding-left: 5px" height="24" width="100%"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="1" bgcolor="#C1C1C1"></td></tr>
	</xsl:if>
</xsl:template>	
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
