<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<table  name="SB_stretch" cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td style="background-image: url('images/main_bg.jpg'); background-repeat: repeat-x; padding: 50px;">
<TABLE WIDTH="670" CELLPADDING="0" CELLSPACING="0" BORDER="0" align="center" name="SB_stretch">
	<TR>
		<TD height="333" valign="top" style="background-image: url('images/header.jpg'); background-repeat: no-repeat;">
			<table cellpadding="0" cellspacing="0" border="0" width="670" height="333">
				<tr>
					<td height="51">
						<table cellpadding="0" cellspacing="0" border="0" width="100%">
							<tr>
								<td class="company" style="padding-left: 15px;"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt="" align="absmiddle" style="padding-right: 10px;"/></a><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
								<td width="10"></td>
								<td align="right" class="url" style="padding-right: 15px;"><xsl:value-of select="COMPANY-INFO/URL" disable-output-escaping="yes"/></td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td height="47" align="right" valign="bottom">
						<table cellpadding="0" cellspacing="0" border="0" height="28">
							<tr>
								<td width="170"></td>
								<xsl:call-template name="TOP-MENU"/>								
								<td width="10"></td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td height="235" align="right" valign="bottom" class="slogan" style="padding: 0 22px 42px 290px;">
						<xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/>
					</td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD valign="top" style="background-image: url('images/bg.gif'); background-repeat: repeat-y;" name="SB_stretch">
			<table cellpadding="0" cellspacing="0" border="0" width="100%" height="278" style="background-image: url('images/bg.jpg'); background-position: bottom left; background-repeat: no-repeat;">
				<tr>
					<td width="19"></td>
					<td width="260" valign="top">					
						<table cellpadding="0" cellspacing="0" width="260" align="center">
							<xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
							<tr><td colspan="2" height="80"></td></tr>
						</table>	
					</td>
					<td width="30"></td>
					<td width="339" valign="top" class="pageContent" name="SB_stretch">
						<div class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></div>
						<div style="width:1px; height:15px;"><spacer type="block" width="1" height="15"/></div>
						<xsl:apply-templates select="PAGE-CONTENT"/>
						<div style="width:1px; height:15px;"><spacer type="block" width="1" height="15"/></div>	
					</td>
					<td width="22"></td>
				</tr>
			</table>
		</TD>
	</TR>
	<TR>
		<TD height="54" class="footer" style="background-image: url('images/footer_bg.gif'); background-repeat: no-repeat; padding-left: 308px;">
		<!-- FOOTER -->
		<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
		<!-- END FOOTER -->
		</TD>
	</TR>
</TABLE>
</td></tr></table>
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>		
							
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
			<tr>								
				<td style="padding-left: 22px"><img src="images/submenu_bullet.gif" border="0"/></td>
				<td style="padding-left: 5px" height="24" width="100%" class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
			</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
				<tr>								
					<td style="padding-left: 22px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0"/></a></td>
					<td style="padding-left: 5px" height="24" width="100%"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				</tr>	
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2"><img src="images/submenu_hr.gif" border="0" alt=""/></td></tr>
	</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}">
		<xsl:attribute name="content"><xsl:value-of select="."/></xsl:attribute>
	</meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
